LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XContextMenuInterceptor Interface Referencepublished

This interface enables the object to be registered as interceptor to change context menus or prevent them from being executed. More...

`import"XContextMenuInterceptor.idl";`

Inheritance diagram for XContextMenuInterceptor:

## Public Member Functions
ContextMenuInterceptorAction | notifyContextMenuExecute ([in]ContextMenuExecuteEvent aEvent)
| notifies the interceptor about the request to execute a ContextMenu. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface enables the object to be registered as interceptor to change context menus or prevent them from being executed.

## Member Function Documentation

## ◆ notifyContextMenuExecute()

ContextMenuInterceptorAction notifyContextMenuExecute | ( | [in] ContextMenuExecuteEvent | aEvent | ) |

notifies the interceptor about the request to execute a ContextMenu.

The interceptor has to decide whether the menu should be executed with or without being modified or may ignore the call.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XContextMenuInterceptor.idl